﻿Public Class Form1

    Public Function GetFileVersionInfo(filename) As String
        Dim exePath As String = filename
        Dim versionInfo As FileVersionInfo = FileVersionInfo.GetVersionInfo(exePath)

        Dim companyName As String = versionInfo.CompanyName
        Dim fileDescription As String = versionInfo.FileDescription
        Dim fileVersion As String = versionInfo.FileVersion
        Dim productVersion As String = versionInfo.ProductVersion

        Dim text As String
        text = "Company Name: " & companyName + vbNewLine
        text = text + "File Description: " & fileDescription + vbNewLine
        text = text + "File Version: " & fileVersion + vbNewLine
        text = text + "Product Version: " & productVersion + vbNewLine
        Return text
    End Function

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim openFileDialog As New OpenFileDialog()
        openFileDialog.Filter = "Text Files (*.*)|*.*"
        openFileDialog.Title = "Select a File"

        If openFileDialog.ShowDialog() = DialogResult.OK Then
            Dim filePath As String = openFileDialog.FileName
            Dim versionInfo As String = GetFileVersionInfo(filePath)
            TextBox1.Text = versionInfo
        End If
    End Sub
End Class
